Loading...
Searching...
No Matches
mpidata.hh File Reference
Common » Parallel Communication

Interface class to translate objects to a MPI_Datatype, void* and size used for MPI calls. More...

`#include <vector>`
`#include <string>`
`#include <type_traits>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/parallel/mpitraits.hh>`

Go to the source code of this file.

## Classes

struct | Dune::MPIData< T, Enable >
struct | Dune::MPIData< void >
struct | Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class T>
auto | Dune::getMPIData (T &t)

## Detailed Description

Interface class to translate objects to a MPI_Datatype, void* and size used for MPI calls.

Furthermore it can be used to resize the object if possible. This makes it possible to receive a message with variable size. See Communication::rrecv.

To 'register' a new dynamic type for MPI communication specialize MPIData or overload getMPIData.